/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Beneficiary
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Beneficiary {
  @SerializedName("person")
  private Person person = null;

  @SerializedName("person_registrations")
  private PersonRegistrations personRegistrations = null;

  @SerializedName("address")
  private Address address = null;

  @SerializedName("phones")
  private Phones phones = null;

  @SerializedName("email")
  private String email = null;

  public Beneficiary person(Person person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(required = true, value = "")
  public Person getPerson() {
    return person;
  }

  public void setPerson(Person person) {
    this.person = person;
  }

  public Beneficiary personRegistrations(PersonRegistrations personRegistrations) {
    this.personRegistrations = personRegistrations;
    return this;
  }

   /**
   * Get personRegistrations
   * @return personRegistrations
  **/
  @ApiModelProperty(value = "")
  public PersonRegistrations getPersonRegistrations() {
    return personRegistrations;
  }

  public void setPersonRegistrations(PersonRegistrations personRegistrations) {
    this.personRegistrations = personRegistrations;
  }

  public Beneficiary address(Address address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Address getAddress() {
    return address;
  }

  public void setAddress(Address address) {
    this.address = address;
  }

  public Beneficiary phones(Phones phones) {
    this.phones = phones;
    return this;
  }

   /**
   * Get phones
   * @return phones
  **/
  @ApiModelProperty(value = "")
  public Phones getPhones() {
    return phones;
  }

  public void setPhones(Phones phones) {
    this.phones = phones;
  }

  public Beneficiary email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Contact email of the beneficiary
   * @return email
  **/
  @ApiModelProperty(example = "john.doe@unknown.com", value = "Contact email of the beneficiary")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Beneficiary beneficiary = (Beneficiary) o;
    return Objects.equals(this.person, beneficiary.person) &&
        Objects.equals(this.personRegistrations, beneficiary.personRegistrations) &&
        Objects.equals(this.address, beneficiary.address) &&
        Objects.equals(this.phones, beneficiary.phones) &&
        Objects.equals(this.email, beneficiary.email);
  }

  @Override
  public int hashCode() {
    return Objects.hash(person, personRegistrations, address, phones, email);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Beneficiary {\n");
    
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    personRegistrations: ").append(toIndentedString(personRegistrations)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    phones: ").append(toIndentedString(phones)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

